<?php include "app_modal.php"; ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.0.2/wow.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.js"></script>
<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/intlTelInput-jquery.min.js"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.9.0/jquery.validate.min.js"></script>
<script>
//         $(".telePhone").intlTelInput({
//         preferredCountries: ["in", "us"],
//         initialCountry: "in",
//         separateDialCode: true,
//     });

  
// $('.iti__country-list li').click(function(){
   
//   $("#code").val($(this).data('dial-code'));
//   $(".mobile").val($(this).data('country-code-code'));
//   $('.countryName').val($(".iti__country-name", this).text());
//   $(".code").val($(this).data('dial-code'));
//   $('.countryName').val($(".iti__country-name", this).text());
//   $('.countryName1').val($(".iti__country-name", this).text());
// });
function stickyHeader() {
    if ($(".menubar").length) {
        var HeaderPos = 100;
        if ($(window).scrollTop() > HeaderPos) {
            $(".menubar").addClass("stricky-fixed")
        } else {
            if ($(this).scrollTop() <= HeaderPos) {
                $(".menubar").removeClass("stricky-fixed");
            }
        }
    }
}
jQuery(window).on("scroll", function () {
    (function (HeaderPos) {
        stickyHeader()
    })(jQuery)
});


if ($(".navigation").length) {
    $(".navigation .navbar button").on("click", function () {
        $(".navigation .menu").slideToggle();
        $(this).toggleClass('open');
        return false;
    });
    $(".navigation .cs-submenu").children("a").append(function () {
        return '<button class="dropdown-expander" title="dropdown"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"/></svg></button>';
    });

}

if (document.documentElement.clientWidth < 1023) {
    $(".navigation .menu .dropdown-expander").on("click", function () {
        $(this).parent().parent().children(".cs-dropdown").slideToggle();
        console.log($(this).parents("li"));
        console.log($(this).parents().children(".dropdown-expander").toggleClass("rotated"));
        return false
    })
    $(document).click(function (e) {
        if (!$(e.target).closest('.navigation .navbar button').length) {
            $('.navigation .menu').stop(true).slideUp();
            $(".navigation .navbar button").removeClass('open');

        }
    });
}

var popularCourse = $("#home_service");
popularCourse.owlCarousel({
    loop: false,
    margin: 20,
    navSpeed: 500,
    nav: true,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: false,
    dots: false,
    items: 4,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        650: {
            items:2,
        },
        1023: {
            items: 3
        },
        1100: {
            items: 4
        }
    }
});

var popularCourse = $("#popularCourse");
popularCourse.owlCarousel({
    loop: false,
    margin: 20,
    navSpeed: 500,
    nav: true,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: false,
    dots: false,
    items: 4,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        650: {
            items: 2,
        },
        1023: {
            items: 3
        },
        1100: {
            items: 4
        }
    }
});
popularCourse.on('initialized.owl.carousel', function () {
    $('.owl-prev').attr('title', 'Previous');
    $('.owl-next').attr('title', 'Next');
});

var testimonials = $("#testimonials");
testimonials.owlCarousel({
    loop: true,
    margin: 0,
    navSpeed: 500,
    nav: false,
    navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
    autoplay: false,
    dots: true,
    items: 1,
    responsiveClass: true,
    responsive: {
        0: {
            items: 1
        },
        600: {
            items: 1,
        },
        1024: {
            items: 1
        },
        1100: {
            items: 1
        }
    }
});

 
wow = new WOW({
    animateClass: 'animated',
    offset: 100,
    mobile: false
});
wow.init();


$(window).on("scroll", function () {
    if ($(this).scrollTop() > 100) {
        $("#web-pulse-scroll-up").fadeIn()
    } else {
        $("#web-pulse-scroll-up").fadeOut()
    }
});
$("#web-pulse-scroll-up").on("click", function () {
    $("html, body").animate({
        scrollTop: 0
    }, 600);
    return false
});
$('#thumbs img').click(function () {
    $('#largeImage').attr('src', $(this).attr('src').replace('thumb', 'large'));
    if ($(this).hasClass("active")) {
        $("#thumbs img").removeClass("active");
    } else {
        $("#thumbs img").removeClass("active");
        $(this).addClass("active");
    }
});
  //disabling context menu
document.onkeydown = function(e) {
        if (e.ctrlKey &&
            (e.keyCode === 67 ||
             e.keyCode === 86 ||
             e.keyCode === 85 ||
             e.keyCode === 117)) {
            return false;
        } else {
            return true;
        }
};
$(document).keypress("u",function(e) {
  if(e.ctrlKey)
  {
return false;
}
else
{
return true;
}
});
document.addEventListener("contextmenu", function (e){
    e.preventDefault();
}, false);


 
</script>

<script>
    $(document).ready(function() {
        $("#quick_enquiry").validate({
            rules: {
                name: "required",
                message: "required",
                location: "required",
                email: {
                    required: true,
                    email: true
                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                }
            },
            messages: {
                name: "Please enter your name",
                message: "Please enter message",
                email: {
                    required: "Please enter your email address"
                },
                location: "Please enter your location",
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 10 characters long",
                }
            },
        });
        $("#contact_form").validate({
            rules: {
                name: "required",
                message: "required",
                location: "required",
                email: {
                    required: true,
                    email: true
                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                }
            },
            messages: {
                name: "Please enter your name",
                message: "Please enter message",
                email: {
                    required: "Please enter your email address"
                },
                location: "Please enter your location",
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 10 characters long",
                }
            },
        });
    })
    $(document).ready(function() {
        $("#whatsapp_form").validate({
            rules: {
                name: "required",
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                    maxlength: 10,
                }
            },
            messages: {
                name: "Please Enter Your Name",
                mobile: {
                    required: "Please Enter Your mobile Number",
                    number: "Mobile Number Must be Number",
                    minlength: "Mobile Number must have 10 digits",
                    maxlength: "Mobile Number must have 10 digits",
                }
            },
        });
    });
</script>
<script>
    function validateOnlyTextField(element) {
        var str = element.value;
        if (str == ' ') {
            element.value = "";
        }
        if (!(/^[a-zA-Z\s]+$/.test(str))) {
            // console.log('String contain number characters');
            str = str.substr(0, str.length - 1);
            element.value = "";
        }
    }
    $(document).ready(function() {
        $('#contact_form').submit(function(e) {
            e.preventDefault();
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_contact.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.success_message').text('');
                        $('.error_message').text(result.message_response)
                    } else {
                        $('.error_message').text('');
                        $('.success_message').text(result.message_response);
                        $('#contact_form').trigger("reset");
                    }
                    console.log(result.message_response);
                }
            })
        });
        $('#whatsapp_form').submit(function(e) {
            e.preventDefault();
            $(':input[type="submit"]').prop('disabled', true);
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_whatsapp.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.wht_success_message').text('');
                        $('.wht_error_message').text(result.message_response)
                        $(':input[type="submit"]').prop('disabled', false);
                    } else {
                        $('.wht_error_message').text('');
                        $('.wht_success_message').text("You Have Successfully Submitted enquiry. We will contact you soon.");
                        $('#whatsapp_form').trigger("reset");
                        window.open(result.message_response, '_blank');
                        $(':input[type="submit"]').prop('disabled', false);
                    }
                }
            });
        });
        $('#callback_form').submit(function(e) {
            e.preventDefault();
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_callback.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.call_success_message').text('');
                        $('.call_error_message').text(result.message_response)
                    } else {
                        $('.call_error_message').text('');
                        $('.call_success_message').text(result.message_response);
                        $('#callback_form').trigger("reset");
                    }
                }
            });
        });
        $('#product_pop_form').submit(function(e) {
            e.preventDefault();
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_contact.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.pro_success_message').text('');
                        $('.pro_error_message').text(result.message_response)
                    } else {
                        $('.pro_error_message').text('');
                        $('.pro_success_message').text(result.message_response);
                        $('#product_pop_form').trigger("reset");
                    }
                }
            })
        });
        $('#quick_enquiry').submit(function(e) {
            e.preventDefault();
            $.ajax({
                'url': '<?= site_url; ?>/ajax_save_contact.php',
                'type': 'POST',
                'dataType': 'json',
                'data': $(this).serialize(),
                'success': function(result) {
                    if (result.status == false) {
                        $('.cat_success_message').text('');
                        $('.cat_error_message').text(result.message_response)
                    } else {
                        $('.cat_error_message').text('');
                        $('.cat_success_message').text(result.message_response);
                        $('#quick_enquiry').trigger("reset");
                    }
                }
            })
        });
    });
</script>
<script>
    $(document).ready(function() {
        $('.main-category-image').click(function() {
            var cat_image = $('.main-cat-image').attr('src');
            var cat_title = $('.main-cat-image').attr('title');
            //   var cat_heading = $('.main_heading').text();
            $('.product_popup_image').find("img").attr("src", cat_image);
            $('.pop_heading').text(cat_title);
            $('.product_popup_image').find("img").attr("alt", cat_title);
            $('.product_popup_image').find("img").attr("title", cat_title);
        });
        $('.pop_cat_id').click(function() {
            var cat_image = "";
            var cat_title = "";
            var cat_id = $(this).find('.cat_id').val();
            cat_image = $('.category_image' + cat_id).attr('src');
            cat_title = $('.category_image' + cat_id).attr('title');
            $('.pop_heading').text(cat_title);
            $('.product_popup_image').find("img").attr("src", cat_image);
            $('.product_popup_image').find("img").attr("alt", cat_title);
            $('.product_popup_image').find("img").attr("title", cat_title);

        });
        $('.product_pop_up').click(function() {
            var product_id = $(this).find('.product_id').val();
            var imagepr = $('.product_image' + product_id).attr('src');
            var product_title = $('.product_image' + product_id).attr('title');
            $('.product_popup_image').find("img").attr("src", imagepr);
            $('.pop_heading').text(product_title);
            $('.product_popup_image').find("img").attr("alt", product_title);
            $('.product_popup_image').find("img").attr("title", product_title);
        });
        $('.Request_call_back').click(function() {
            var product_id = $(this).find('.product_id').val();
            var imagepr = $('.product_image' + product_id).attr('src');
            var product_title = $('.product_image' + product_id).attr('title');
            $('.product_cat_image').find("img").attr("src", imagepr);
            $('.catHeading').text(product_title);
            $('.product_cat_image').find("img").attr("alt", product_title);
            $('.product_cat_image').find("img").attr("title", product_title);
        });
    });

//     $(".telePhone").intlTelInput({
//         preferredCountries: ["in", "us"],
//         initialCountry: "in",
//         separateDialCode: true,
//     });
//     $('.iti__country-list li').click(function(){
//   $("#code").val($(this).data('dial-code'));
//   $(".mobile").val($(this).data('country-code-code'));
//   $('#countryName').val($(".iti__country-name", this).text());
//   $(".code").val($(this).data('dial-code'));
//   $('.countryName').val($(".iti__country-name", this).text()); 
//     })
document.addEventListener('DOMContentLoaded', () => {
  // Select all button elements
  const buttons = document.querySelectorAll('button');

  // Loop through each button and set the title only if it doesn't exist
  buttons.forEach((button, index) => {
    if (!button.hasAttribute('title') || button.getAttribute('title').trim() === '') {
      button.setAttribute('title', `healoxyindia`);
    }
  });
});
</script>